Sky's blog

我和我追逐的梦

常用链接

统计

其他链接

友情链接

最新评论

Subversion 1.5.5 + apache 2.2.11 windows安装

    家里的服务器使用的是subversion1.4的版本,最近发现1.5已经陆续出现了多个bugfix的小版本更新,考虑到1.5出来时间也比较长了,应该已经稳定下来。而且1.5也带来了不少新特性,听闻速度也有所提升,因此考虑升级到最新版本1.5.5。
   
    另外考虑到subclipse之类的subversion客户端,只适合和ide一起使用,因此决定另外准备一个windows的客户端工具。

一. 安装apache
    采用最新的版本2.2.11,win32带openssl。
    过程中发现似乎subversion1.5.5版本对apache的小版本有要求,我试过用apache2.2.8安装subversion1.5.5失败,用apache2.2.11就ok。这个地方比较无聊,浪费不少时间,因为之前是apache2.2.8 + subversion 1.4.7,想着升级subversion就可以,直接用2.2.8版本的apache上subversion1.5.5,结果apache总是无法启动。误以为是subversion1.5.5的问题,折腾了许久。最后换成apache2.2.11就顺利安装成功。
    看贴的同学如果遇到类似问题,请检查apache和subversion的小版本问题。
   
二. 安装subversion
    下载最新版本的subversion1.5.5,下载时出了点问题,官方没有windows安装文件的直接下载,按照给出的链接到以下下载地址http://www.collab.net/downloads/subversion/下去找居然没有下载链接,莫名其妙。只好注册,但是登录后还是没有链接,郁闷,搞不懂......直接在google上找也没有找到,最后后来发现一个zip格式的安装文件可以直接使用。
    http://subversion.tigris.org/files/documents/15/44589/svn-win32-1.5.5.zip
    这个直接解压就可以使用。
    顺便说一下,在我找到的这个帖子中,作者也提醒说要注意apache和subversion的版本,而且他也同样是选择Subversion 1.5.5 + apache 2.2.11。看来这个问题还是普遍存在。
   
三. 配置apache
        配置方式和以往版本相同,请参考之前的一个帖子,这里不再重复。
        Subversion 1.4.6 + apache 2.2.8 windows安装
        http://www.blogjava.net/aoxj/archive/2008/04/13/192528.html
       
        安装后启动apache,发现可以正常访问到原来的资料库,搞定。
       
四. 安装TortoiseSVN
        下载TortoiseSVN-1.5.7.15182-win32-svn-1.5.5.msi,执行并按照提示安装即可,这个是和windows的资源管理器集成的,使用很方便。

posted on 2009-02-07 18:11 sky ao 阅读(5397) 评论(3)  编辑  收藏 所属分类: Version Control

评论

# re: Subversion 1.5.5 + apache 2.2.11 windows安装 2009-02-27 20:50 jx721

我一直找不到服务器端的最新版本,谢谢。  回复  更多评论   

# re: Subversion 1.5.5 + apache 2.2.11 windows安装 2009-05-11 20:41 来者

受教了,十分感谢!  回复  更多评论   

# re: Subversion 1.5.5 + apache 2.2.11 windows安装 2010-03-08 10:59 米上社区

恩 教程很好啊 就是 缺少安装包
不过 我在这里找到了 http://www.misng.com/thread-255-1-1.html
希望 大家都能解决哈 svn 确实 不错啊 !   回复  更多评论   


只有注册用户登录后才能发表评论。


网站导航: